Bug 11260 - Невозможно пройти установку с клавиатуры
: Невозможно пройти установку с клавиатуры
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
: 18338 18339 18340
: 18510
  Show dependency tree
 
Reported: 2007-03-29 11:47 by
Modified: 2009-08-04 16:19 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-29 11:47:30
В alterator-install2 невозможно пройти установку, не используя мышь.

В частности шаг выбора лицензии не проходим по факту - не переключается с
помощью TAB на кнопку "Вперёд".

В других шагах не работает Enter для подтверждения выбора, и перепутан порядок
переключения по TAB и Shift+TAB.

Это проверялось на server-i586-20070315.iso

Для серверного дистрибутива возможность проходить установку без использования
мыши - критична.
------- Comment #1 From 2007-03-30 18:18:40 -------
Я добавил в git артибут focus ко всем виджетам.

Порядок переключения фокуса по TAB можно сделать только изменением порядка 
создания новых виджетов в модуле.
------- Comment #2 From 2007-03-30 18:30:55 -------
А почему нельзя восмпользоваться этой функцией?

void QWidget::setTabOrder ( QWidget * first, QWidget * second )  [static]
Moves the second widget around the ring of focus widgets so that keyboard focus
moves from the first widget to the second widget when the Tab key is pressed.
Note that since the tab order of the second widget is changed, you should order
a chain like this:
setTabOrder(a, b); // a to b
setTabOrder(b, c); // a to b to c
setTabOrder(c, d); // a to b to c to d

я понимаю что это сложно ... но возможно же
------- Comment #3 From 2007-03-30 18:38:16 -------
(In reply to comment #2)
> А почему нельзя восмпользоваться этой функцией?
Не сложно. Я че-то думал, что это Qt-Designer сам виджеты расставляет.

Вопрос, как это делать, чтоб не Qt-specific было.
Если смысла нет не Qt-specific делать, то сейчас сделаю.
------- Comment #4 From 2007-03-30 18:43:21 -------
(In reply to comment #3)
> Вопрос, как это делать, чтоб не Qt-specific было.
> Если смысла нет не Qt-specific делать, то сейчас сделаю.

Сейчас смысла нет делать не Qt-specific
------- Comment #5 From 2007-03-30 19:18:39 -------
(In reply to comment #4)
> Сейчас
Меня "потом" тоже интересует.

------- Comment #6 From 2007-04-04 19:17:25 -------
Вообщем, пока Сергей думает я перенону эту багу на браузер т.к. пока в нём( и в
alterator) нет поддержки порядка перехода по TAB в alterator-install* сделать
ничего нельзя.

Component => alterator-browser-qt
------- Comment #7 From 2007-04-04 20:48:24 -------
Серёг, надо ускорится. 

Ты же мне говорил что это можно просто сделать ?
------- Comment #8 From 2007-04-05 14:31:08 -------
alterator-browser-qt-2.9.46
------- Comment #9 From 2007-04-05 14:43:21 -------
(In reply to comment #8)
> alterator-browser-qt-2.9.46

Можно узанть что это значит?
------- Comment #10 From 2007-04-05 15:18:24 -------
* Tue Apr 03 2007 Sergey V Turchin <zerg at altlinux dot org> 2.9.46-alt1

- add possibility to ignore outgoing events during special request to 
alterator
- support one-file design themes
- add tab-order, focus attributes to all widgets
- add possibility remove focus from widget
------- Comment #11 From 2007-04-05 15:26:27 -------
(In reply to comment #10)
> * Tue Apr 03 2007 Sergey V Turchin <zerg at altlinux dot org> 2.9.46-alt1

Тогда осталось попросить Стаса, если у него время будет добавить эти атрибуты.

Component => alterator-lookout
------- Comment #12 From 2007-04-06 11:39:47 -------
Хотел бы я посмотреть на лицо пользователя, который будет пользоваться этим
"таб-ордер".

Я ради спортивного интереса попробовал сделать три кнопки, не с традиционным
tab-order (1,2,3), а с обратным (3,2,1). Вот что получилось:
--
(document:id b1 (button "b1"))
(document:id b2 (button "b2"))
(document:id b3 (button "b3"))


(document:root (when loaded
                     (b1 tab-order b3)
                     (b2 tab-order b1)
                     (b3 tab-order b1)))
--

А теперь, внимание, вопрос. Кто-нибудь что-то понял? Что на самом деле означает
инструкция tab-order?

(я то знаю, я в исходники посмотрел ;))

P.S. В данному случае выставление возможно только в on-load ибо возникают
пересекающиеся крест-накрест определения переменных и их использование.

Хочу tab-order для людей ;)
------- Comment #13 From 2007-04-06 11:40:15 -------
На доработку (или переработку)
------- Comment #14 From 2007-04-06 14:19:44 -------
(In reply to comment #12)
> Хочу tab-order для людей ;)
Какие проблемы? Говори, как хочешь - сделаю.
------- Comment #15 From 2007-04-06 16:52:24 -------
Ну видимо нумерацию.
------- Comment #16 From 2007-04-06 16:57:45 -------
Какую нумерацию то ?

Стас, покажи пальцем ;)

Ну или пример кода.
------- Comment #18 From 2007-04-06 18:41:17 -------
Какой имя аргумента будет?
tab-index?
------- Comment #19 From 2007-04-06 20:23:40 -------
(In reply to comment #17)
> Хочу tab-order для людей ;)
тогда он будет работать только в конструкторе
------- Comment #20 From 2007-04-10 14:12:08 -------
alterator-browser-qt-2.9.48-alt1
------- Comment #21 From 2007-04-10 14:12:51 -------
забыл, что перевесить нужно :-)
------- Comment #22 From 2007-04-10 15:48:42 -------
Забираю. Когда-нибудь сделаю.
------- Comment #23 From 2007-11-10 15:30:26 -------
Тем временем установка неоднократно пройдена.
------- Comment #24 From 2007-11-11 13:38:42 -------
И несмотря на это, нужно, как минимум - упорядочить виджеты для переключения по
TAB

Это касается всех модулей.
------- Comment #25 From 2007-11-12 15:50:56 -------
(In reply to comment #24)
> упорядочить виджеты для переключения по TAB
Для этого есть атрибуты tab-index и tab-order

------- Comment #26 From 2009-08-04 16:19:49 -------
IMHO FIXED